Subject: Re: git-http-push (git v1.5) problems with DAVLockDB on reiserfs FS

From: Fabien <[email-masked]>
Date: Thu, 18 Feb 2010 12:36:53 +0100

Hi,

Tay Ray Chuan wrote:
> On Thu, Feb 18, 2010 at 6:45 PM, Fabien <[email-masked]> wrote:
>> I encountered many problems when using a git repository served over
>> apache/dav on ubuntu 8.04LTS
>> * versions in use on server:
>> - kernel 2.6.24
>> - apache 2.2.8
>> - git version 1.5.4.3 or 1.6.6.2 (doesn't change anything on server side)
> 
> although nothing might have changed on the server-side, git does a lot
> of server-side operations via WebDAV, like locking, moving files, etc.

Yes, I forgot to say the problem is related to locking problems on the
server side :
Could not LOCK /git-tests/project1.git/info/refs due to a failed
precondition (e.g. other locks)

This is why I tested another file system, because I already had problems
in the past with reiserfs and locking :)

>> * versions in use on clients
>> git 1.5.4.3 => causes problem
>> git 1.6.6.2 => is ok.
> 
> why not just use git 1.6?
Yes, but I have to tell that to around 100 contributors ;-)
I plan to use a rule in apache to deny access to old versions of git...

--
Fabien